<template>
  <section>
    <div
      class="home"
      style="width: 100%"
    >
      <div class="navbar-container">
        <!--- Navbar -->
        <Navbar @toggle-sidebar="toggleSidebar" />
      </div>
      <div
        class="container-main"
        :style="[isSidebarOpen ? { 'margin-left': '260px' } : { 'margin-left': '0px' }]"
      >
        <!-- Sidebar -->
        <Sidebar
          :current-user="currentUser.user"
          :is-sidebar-open="isSidebarOpen"
        />

        <div
          ref="myHome"
          class="main-content"
          :style="[isSidebarOpen ? windowWidth > 1400 ? windowWidth > 1920 ? { 'width': '89vw' } : { 'width': '86.45vw' } : { 'width': '79.4vw' } : { 'width': '100vw' }]"
        >
          <!-- Main Content Start -->
          <router-view />
        </div>
      </div>
    </div>
  </section>
</template>
<script>
import Navbar from '../../components/Navbar';
import Sidebar from '../../components/Sidebar';
import { mapGetters } from 'vuex';
export default {
  components: {
    Navbar,
    Sidebar
  },
  data () {
    return {
      isSidebarOpen: false,
      windowWidth: window.innerWidth
    };
  },
  watch: {
    windowWidth () {
      this.windowWidth = window.innerWidth;
    }
  },
  methods: {
    toggleSidebar () {
      this.isSidebarOpen = !this.isSidebarOpen;
    }
  },
  computed: {
    ...mapGetters(['currentUser']),
  }
};
</script>
<style scoped>
.container-main {
  height: 100%;
}
.main-content {
  width: 100vw;
  height: 100%;
  transition: 0.5s;
  overflow: auto;
}
</style>
